<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"

    android:gravity="center_vertical"
    android:orientation="vertical"
    tools:ignore="MissingDefaultResource">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:layout_marginEnd="10dp"
        android:layout_marginTop="5dp"
        android:layout_marginBottom="5dp"
        app:cardCornerRadius="10dp"
        app:cardElevation="4dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/big_bg"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/notify_imagecolor"
            android:paddingStart="10dp"
            android:paddingEnd="10dp">


            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_icon"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:src="@mipmap/ic_notifylogo"
                app:layout_constraintBottom_toBottomOf="@+id/tv_msg_type"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@+id/tv_msg_type" />


            <TextView
                android:id="@+id/tv_msg_type"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                android:background="@drawable/shape_notify_typebg"
                android:paddingStart="10dp"
                android:paddingTop="2dp"
                android:paddingEnd="10dp"
                android:paddingBottom="2dp"
                android:textColor="@color/white"
                android:textSize="12sp"
                android:textStyle="bold"
                app:layout_constraintStart_toEndOf="@+id/iv_icon"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_msg_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="2025-1-8"
                android:textColor="@color/black"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="@+id/tv_msg_type"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="@+id/tv_msg_type" />

            <TextView
                android:id="@+id/iv_readtype"
                android:layout_width="10dp"
                android:layout_height="10dp"
                android:layout_marginTop="5dp"
                android:background="@drawable/shape_btn_bg"
                android:visibility="gone"
                app:layout_constraintRight_toRightOf="@+id/iv_icon"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_msg_title"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="15dp"
                android:paddingStart="5dp"
                android:textColor="#383838"
                android:textSize="14sp"
                app:layout_constraintStart_toStartOf="@+id/iv_icon"
                app:layout_constraintTop_toBottomOf="@+id/iv_icon" />

            <ImageView
                android:id="@+id/ic_notify_pull"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_marginBottom="5dp"
                android:background="@mipmap/ic_notify_xiala"
                android:paddingStart="5dp"
                android:textColor="#6d80ff"
                android:textSize="14sp"
                android:layout_marginTop="4dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_msg_title" />

            <TextView
                android:id="@+id/look_iv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:drawableLeft="@mipmap/look_img"
                android:drawablePadding="5dp"
                android:gravity="center_vertical"
                android:paddingStart="5dp"
                android:text="0"
                android:textColor="@color/black"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                android:layout_marginTop="4dp"
                app:layout_constraintTop_toBottomOf="@+id/tv_msg_title" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.cardview.widget.CardView>

    <LinearLayout
        android:id="@+id/layout_more"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_marginStart="10dp"
        android:layout_marginEnd="10dp"
        android:layout_marginBottom="5dp"

        android:visibility="gone">

        <ImageView
            android:id="@+id/iv_notifyimage"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="5dp"
            android:adjustViewBounds="true" />

        <TextView
            android:id="@+id/iv_notifycontent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:layout_marginBottom="5dp"
            android:paddingStart="10dp"
            android:paddingEnd="10dp"
            android:textColor="#383838"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/iv_notifyjumpclick"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="5dp"
            android:paddingStart="10dp"
            android:paddingEnd="10dp"
            android:textColor="#4169E1"
            android:textSize="16sp"
            android:visibility="gone" />
        <TextView
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="5dp"
            android:background="@android:color/black" />
    </LinearLayout>


</LinearLayout>